<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.harmonic.mapper.specialanalysis.RMpInfluenceVMMapper">

    <resultMap id="BaseResultMap" type="com.njcn.harmonic.pojo.po.RMpInfluenceVM">
            <id property="orgNo" column="org_no" jdbcType="VARCHAR"/>
            <id property="dataDate" column="data_date" jdbcType="DATE"/>
            <id property="monitorTag" column="monitor_tag" jdbcType="VARCHAR"/>
            <id property="measurementPointId" column="measurement_point_id" jdbcType="VARCHAR"/>
            <result property="vRate2" column="v_rate_2" jdbcType="FLOAT"/>
            <result property="vRate3" column="v_rate_3" jdbcType="FLOAT"/>
            <result property="vRate4" column="v_rate_4" jdbcType="FLOAT"/>
            <result property="vRate5" column="v_rate_5" jdbcType="FLOAT"/>
            <result property="vRate6" column="v_rate_6" jdbcType="FLOAT"/>
            <result property="vRate7" column="v_rate_7" jdbcType="FLOAT"/>
            <result property="vRate8" column="v_rate_8" jdbcType="FLOAT"/>
            <result property="vRate9" column="v_rate_9" jdbcType="FLOAT"/>
            <result property="vRate10" column="v_rate_10" jdbcType="FLOAT"/>
            <result property="vRate11" column="v_rate_11" jdbcType="FLOAT"/>
            <result property="vRate12" column="v_rate_12" jdbcType="FLOAT"/>
            <result property="vRate13" column="v_rate_13" jdbcType="FLOAT"/>
            <result property="vRate14" column="v_rate_14" jdbcType="FLOAT"/>
            <result property="vRate15" column="v_rate_15" jdbcType="FLOAT"/>
            <result property="vRate16" column="v_rate_16" jdbcType="FLOAT"/>
            <result property="vRate17" column="v_rate_17" jdbcType="FLOAT"/>
            <result property="vRate18" column="v_rate_18" jdbcType="FLOAT"/>
            <result property="vRate19" column="v_rate_19" jdbcType="FLOAT"/>
            <result property="vRate20" column="v_rate_20" jdbcType="FLOAT"/>
            <result property="vRate21" column="v_rate_21" jdbcType="FLOAT"/>
            <result property="vRate22" column="v_rate_22" jdbcType="FLOAT"/>
            <result property="vRate23" column="v_rate_23" jdbcType="FLOAT"/>
            <result property="vRate24" column="v_rate_24" jdbcType="FLOAT"/>
            <result property="vRate25" column="v_rate_25" jdbcType="FLOAT"/>
    </resultMap>

    <sql id="Base_Column_List">
        org_no,monitor_tag,data_date,measurement_point_id,
        v_rate_2,v_rate_3,v_rate_4,
        v_rate_5,v_rate_6,v_rate_7,
        v_rate_8,v_rate_9,v_rate_10,
        v_rate_11,v_rate_12,v_rate_13,
        v_rate_14,v_rate_15,v_rate_16,
        v_rate_17,v_rate_18,v_rate_19,
        v_rate_20,v_rate_21,v_rate_22,
        v_rate_23,v_rate_24,v_rate_25
    </sql>
</mapper>
